Skip to main content
GET
/
security
/
sifter
/
v2
/
protected_addresses
/
announces
List BGP announces
curl --request GET \
  --url https://api.gcore.com/security/sifter/v2/protected_addresses/announces \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/security/sifter/v2/protected_addresses/announces"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/security/sifter/v2/protected_addresses/announces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "announced": [
      "192.9.9.1/32",
      "203.0.113.1/32"
    ],
    "client_id": 128120,
    "not_announced": [
      "122.2.2.1/32",
      "120.0.113.2/32"
    ]
  }
]
{}
{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

site
string | null
Required string length: 1 - 100
origin
enum<string>[] | null
Available options:
STATIC,
DYNAMIC,
IAAS,
PROTECTED_NETWORK,
EDGE_PROXY
announced
boolean | null
limit
integer | null
Required range: x >= 1
offset
integer | null
Required range: x >= 0
client_id
integer | null

A positive integer ID

Required range: 1 <= x <= 1000000000

Response

Successful Response

client_id
integer
required
Required range: x >= 0
Example:

"128120"

announced
string<ipvanynetwork>[]
required
Example:
["192.9.9.1/32", "203.0.113.1/32"]
not_announced
string<ipvanynetwork>[]
required
Example:
["122.2.2.1/32", "120.0.113.2/32"]